TLS-Organisation anlegen
POST /tls/organizationBezeichner: CreateOrganization
Legt eine DigiCert-gestützte TLS-Organisation an, samt dem lokalen Kontaktdatensatz, der für die Bestellung von OV- oder EV-Zertifikaten verwendet wird.
Request Body
Abschnitt betitelt „Request Body“| Feld | Typ | Pflicht | Beschreibung |
|---|---|---|---|
organization | string | ja | - |
first_name | string | ja | - |
last_name | string | ja | - |
address | string | ja | - |
postal_code | string | ja | - |
city | string | ja | - |
country_code | string | ja | - |
phone | string | ja | - |
email | string | ja | - |
Antworten
Abschnitt betitelt „Antworten“| Status | Typ | Beschreibung |
|---|---|---|
200 | tlsOrganizationResponse | TLS-Organisation angelegt |
400 | Error | Ungültige Anfragedaten |
401 | Error | Nicht autorisiert |
500 | Error | Unerwarteter Fehler |
502 | Error | Fehler beim vorgelagerten TLS-Provider |
Antwortkörper
Abschnitt betitelt „Antwortkörper“| Feld | Typ | Pflicht | Beschreibung |
|---|---|---|---|
success | boolean | ja | Erfolgskennzeichen |
code | integer | nein | Antwort-/Fehlercode |
response | tlsOrganizationResponse | nein | - |
Beispiel
Abschnitt betitelt „Beispiel“curl -X POST "https://api.regfish.com/tls/organization" \ -H "x-api-key: $REGFISH_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "organization": "string", "first_name": "string", "last_name": "string", "address": "string", "postal_code": "string", "city": "string", "country_code": "string", "phone": "string", "email": "string" }'Anfrage zusammenstellen
Abschnitt betitelt „Anfrage zusammenstellen“Werte eintragen - der Aufruf unten passt sich an. Es wird nichts abgeschickt: die API gibt Browser-Anfragen von dieser Domain aus derzeit nicht frei (CORS). Der API-Key wird nicht gespeichert.